# Cancel Reservation **POST /v1/reservation/cancel** API which will do the cancellation of the given reservation. ## Servers - qa server: https://qa-partner.momorooms.com (qa server) - production server: https://partner.momorooms.com (production server) ## Authentication methods - O auth security ## Parameters ### Body: application/json (object) - **reservationId** (integer(int64)) Reservation ID to be cancelled. - **cancelReason** (string) Reason for the cancellation. ## Responses ### 200 OK #### Body: application/json (object) - **cancelStatus** (string) Cancellation Status
Cancellation Status Cancellation Value
Cancellation is in SuccessSUCCESS
Cancellation is in FailedFAILED
- **currencyCode** (string) Currency code of the refundAmount - **refundAmount** (string) The amount to be refunded to the customer after cancellation. Decimal value represented as string to preserve precision. ### 400 Client Side Error #### Body: application/json (object) - **errors** (array[object]) ### 500 Server Side Error #### Body: application/json (object) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)